public float[] rechteSeite(float[] y, float t)
{
    float gg = 9.81f;
    float xA =  0.5f;
    float   h  = 1.0f;
    float   hh = h*0.5f;
    float   r = 0.04f;
    float   m = 1.0f;
    float   J = 0.25f*m*r*r + (1.0f/12.0f)*m*h*h;
    
    float[] f = new float[y.length];
    float x     = y[0];
    float vx    = y[1];
    float phi   = y[2];
    float omega = y[3];
    
    float F = -100.0f*phi -omega +x +vx;
    
    
    f[0] = vx;
    f[1] = F/m;
    f[2] = omega;
    f[3] = (m*hh*sin(phi)*(-hh*omega*omega*cos(phi)+gg)
                         + hh*F*cos(phi) )/
                            (J+m*hh*hh*sin(phi)*sin(phi));
    
    return f;
}
